Bug 466049 - multilib lam rpms' removal don't clean up mpi-selector entry.
multilib lam rpms' removal don't clean up mpi-selector entry.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lam (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Doug Ledford
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-07 17:32 EDT by Gurhan Ozen
Modified: 2013-11-03 20:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-04 17:39:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gurhan Ozen 2008-10-07 17:32:31 EDT
Description of problem:
After erasing multilib lam rpms, lam.i386 mpi-selector entry is still not removed:

# mpi-selector --list
lam-i386
lam-x86_64
mvapich-1.1.0-gcc-x86_64
mvapich2-1.0.3-gcc-x86_64
openmpi-1.2.7-gcc-i386
openmpi-1.2.7-gcc-x86_64

# rpm -e lam.x86_64  lam.i386  lam-devel.i386  lam-devel.x86_64  lam-libs.x86_64  lam-libs.i386

# mpi-selector --list
lam-i386
mvapich-1.1.0-gcc-x86_64
mvapich2-1.0.3-gcc-x86_64
openmpi-1.2.7-gcc-i386
openmpi-1.2.7-gcc-x86_64

# rpm -qa | grep lam
#

If only i386 or x86_64 packages are installed, things are cleaned up fine: 
# yum -q -y install lam.i386
This system is not registered with RHN.
RHN support will be disabled.

# rpm -qa | grep lam 
lam-libs-7.1.2-14.el5
lam-libs-7.1.2-14.el5
lam-7.1.2-14.el5

# mpi-selector --list 
lam-i386
mvapich-1.1.0-gcc-x86_64
mvapich2-1.0.3-gcc-x86_64
openmpi-1.2.7-gcc-i386
openmpi-1.2.7-gcc-x86_64

# rpm -e lam-libs-7.1.2-14.el5.i386 lam-libs-7.1.2-14.el5.x86_64 lam-7.1.2-14.el5.i386

# mpi-selector --list 
mvapich-1.1.0-gcc-x86_64
mvapich2-1.0.3-gcc-x86_64
openmpi-1.2.7-gcc-i386
openmpi-1.2.7-gcc-x86_64



Version-Release number of selected component (if applicable):
lam-7.1.2-14.el5 (rhel 5.3)

How reproducible:
Everytime.
Comment 3 RHEL Product and Program Management 2009-03-26 13:22:46 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Note You need to log in before you can comment on or make changes to this bug.